'\"
'\" Copyright (c) 1996 Sun Microsystems, Inc.
'\"
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) messageBox.n 1.2 96/08/23 13:27:52
'\" 
.so man.macros
.TH tk_messageBox n 4.2 Tk "Tk Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
\fBtk_messageBox \- pops up a message window and waits for user response.
.PP
.PP
.SH SYNOPSIS
\fBtk_messageBox \fR?\fIoption value ...\fR?
.BE

.SH DESCRIPTION
.PP
This procedure creates and displays a message window with an
application-specified message, an icon and a set of buttons.  Each of
the buttons in the message window is identified by a unique symbolic
name (see the \fB\-type\fR options).  After the message window is
popped up, \fBtk_messageBox\fR waits for the user to select one of the
buttons. Then it returns the symbolic name of the selected button.

The following option-value pairs are supported:
.RS
'
'
.TP
\fB\-default\fR \fIindex\fR
'
An integer which specifies the index of the button to be used as the
default button of this message window (0 stands for the leftmost
button, and so on). If this option is not specified, there won't be
any default button.
'
.TP
\fB\-icon\fR \fIiconImage\fR
'
Specifies an icon to display. \fIIconImage\fR must be one of the
following: \fBerror\fR, \fBinfo\fR, \fBquestion\fR or
\fBwarning\fR. If this option is not specified, then no icon will be
displayed.
'
.TP
\fB\-message\fR \fIstring\fR
'
Specifies the message to display in this message box.
'
.TP
\fB\-parent\fR \fIwindow\fR
'
Makes \fIwindow\fR the logical parent of the message box. The message
box is displayed on top of its parent window.
'
.TP
\fB\-title\fR \fItitleString\fR
'
Specifies a string to display as the title of the message box. The
default value is an empty string.
'
.TP
\fB\-type\fR \fIpredefinedType\fR
'
Arranges for a predefined set of buttons to be displayed. The
following values are possible for \fIpredefinedType\fR:
.RS
.TP
\fBabortretryignore\fR
Displays three buttons whose symbolic names are \fBabort\fR,
\fBretry\fR and \fBignore\fR.
'
.TP
\fBok\fR
Displays one button whose symbolic name is \fBok\fR.
'
.TP
\fBokcancel\fR
Displays two buttons whose symbolic names are \fBok\fR and \fBcancel\fR.
'
.TP
\fBretrycancel\fR
Displays two buttons whose symbolic names are \fBretry\fR and \fBcancel\fR.
'
.TP
\fByesno\fR
Displays two buttons whose symbolic names are \fByes\fR and \fBno\fR.
'
.TP
\fByesnocancel\fR
Displays three buttons whose symbolic names are \fByes\fR, \fBno\fR
and \fBcancel\fR.
'
.RE
'
.PP
'
.RE
.PP
'
'
.SH EXAMPLE
.nf
set answer [tk_messageBox \-message "Really quit?" \-type yesno \-icon \\
    question]
case $answer {
    yes {
        exit
    }
    no {
        tk_messageBox \-message "I know you like this application!" \\
            \-type ok
    }
}
.fi

.SH KEYWORDS
message box
